<?

/* ------------------------------------------------------------------- */
/*

*************************************************
*			UWAGA! SKRYPT NIE JEST DARMOWY.			*
*		DALSZE ROZPOWSZECHNIANIE BEZ ZGODY 			*
*			FIRMY ArtGlobal JEST ZABRONIONE.			*
*************************************************

*************************************************
*	WWW.ArtGlobal.PL		PRODUCENT OPROGRAMOWANIA	*
*	NAZWA SKRYPTU:		NIERUCHOMOSCI 6.0			*
*	WERSJA FINALNA:	04.10.2010						*
*	KONTAKT:				kontakt@artglobal.pl			**
*************************************************

Copyright (c) 2010 ArtGlobal. Wszelkie prawa zastrzeżone.

*/
/* ------------------------------------------------------------------- */

class mysql
{
        var $host = 'localhost';
        var $user = '..........';
        var $name = '..........';
        var $pass = '..........';
        
        function connect()
        {
                @mysql_connect( $this -> host, $this -> user, $this -> pass ) or die ("Błąd połączenia z bazą mysql");
                @mysql_select_db( $this -> name ) or die ("Nie mogłem wybrać bazy mysql");
                @mysql_query("SET NAMES 'latin2'");
        }
        
        function num( $query )
        {
                $q = mysql_query( $query );
                return mysql_num_rows( $q );
        }
        
        function q( $query )
        {
                return mysql_query( $query );
        }
        
        function insert()
        {
                return mysql_insert_id();
        }
}
?>
